<?php
/**
 * @Packge     : Rasm
 * @Version    : 1.0
 * @Author     : Themeholy
 * @Author URI : https://themeforest.net/user/themeholy
 *
 */

    // Block direct access
    if( !defined( 'ABSPATH' ) ){
        exit();
    }

    if( class_exists( 'ReduxFramework' ) ) {
        $rasm404title     = rasm_opt( 'rasm_error_title' );
        $rasm404description  = rasm_opt( 'rasm_error_description' );
        $rasm404btntext      = rasm_opt( 'rasm_error_btn_text' );
    } else {
        $rasm404title     = __( 'Oops! Page Not Found!', 'rasm' );
        $rasm404description  = __( 'The page you are looking for does not exist. It might have been moved or deleted.', 'rasm' );
        $rasm404btntext      = __( ' Back To Home', 'rasm');

    }

    // get header //
    get_header(); ?>

    <section class="space">
        <div class="container">
            <div class="error-img">
                <?php if(!empty(rasm_opt('rasm_error_img', 'url' ) )): ?>
                    <img src="<?php echo esc_url( rasm_opt('rasm_error_img', 'url' ) ) ?>" alt="<?php echo esc_attr__('404 image', 'rasm'); ?>">
                <?php else: ?>
                    <img src="<?php echo get_template_directory_uri(); ?>/assets/img/error.svg" alt="<?php echo esc_attr__('404 image', 'rasm'); ?>">
                <?php endif; ?>
            </div>
            <div class="error-content">
                <h2 class="error-title"><?php echo wp_kses_post( $rasm404title ); ?></h2>
                <p class="error-text"><?php echo esc_html( $rasm404description ); ?></p>
                <div class="btn-group justify-content-center">
                    <a href="<?php echo esc_url( home_url('/') ); ?>" class="th-btn error-btn"><i class="fal fa-home me-2"></i><?php echo esc_html( $rasm404btntext ); ?></a>
                </div>
            </div>
        </div>
    </section>
    
    <?php
    //footer
    get_footer();