<?php
/**
 * @Packge     : Rasm
 * @Version    : 1.0
 * @Author     : Themeholy
 * @Author URI : https://themeforest.net/user/themeholy
 *
 */

// Block direct access
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * Enqueue scripts and styles.
 */
function rasm_essential_scripts() {

    wp_enqueue_style( 'rasm-style', get_stylesheet_uri() ,array(), wp_get_theme()->get( 'Version' ) );

    // google font
    wp_enqueue_style( 'rasm-fonts', rasm_google_fonts() ,array(), null );

    // Bootstrap Min
    wp_enqueue_style( 'bootstrap', get_theme_file_uri( '/assets/css/bootstrap.min.css' ) ,array(), '5.0.0' );

    // Font Awesome Six
    wp_enqueue_style( 'fontawesome', get_theme_file_uri( '/assets/css/fontawesome.min.css' ) ,array(), '6.1.1' );

    // Magnific Popup
    wp_enqueue_style( 'magnific-popup', get_theme_file_uri( '/assets/css/magnific-popup.min.css' ), array(), '1.0' );

    // Slick css
    wp_enqueue_style( 'slick', get_theme_file_uri( '/assets/css/slick.min.css' ) ,array(), '4.0.13' );

    // datetimepicker css
    wp_enqueue_style( 'datetimepicker', get_theme_file_uri( '/assets/css/jquery.datetimepicker.min.css' ) ,array(), '3.7.2' );
    wp_enqueue_style( 'odometer', get_theme_file_uri( '/assets/css/odometer-theme-default.css' ) ,array(), '1.0.0' );

    // rasm main style
    wp_enqueue_style( 'rasm-main-style', get_theme_file_uri('/assets/css/style.css') ,array(), wp_get_theme()->get( 'Version' ) );


    // Load Js

    // Bootstrap
    wp_enqueue_script( 'bootstrap', get_theme_file_uri( '/assets/js/bootstrap.min.js' ), array( 'jquery' ), '5.0.0', true );
    wp_enqueue_script( 'appear', get_theme_file_uri( '/assets/js/appear-2.js' ), array( 'jquery' ), '1.0.0', true );
    wp_enqueue_script( 'countdown', get_theme_file_uri( '/assets/js/countdown.js' ), array( 'jquery' ), '1.0.0', true );
    wp_enqueue_script( 'countdown', get_theme_file_uri( '/assets/js/countdown.js' ), array( 'jquery' ), '1.0.0', true );
    wp_enqueue_script( 'imagesloaded' );
    wp_enqueue_script( 'isototpe-pkgd', get_theme_file_uri( '/assets/js/isotope.pkgd.min.js' ), array( 'jquery' ), '1.0.0', true );
    wp_enqueue_script( 'ui', get_theme_file_uri( '/assets/js/jquery-ui.min.js' ), array( 'jquery' ), '1.0.0', true );
    wp_enqueue_script( 'counterup', get_theme_file_uri( '/assets/js/jquery.counterup.min.js' ), array( 'jquery' ), '1.0.0', true );
    wp_enqueue_script( 'datetimepicker', get_theme_file_uri( '/assets/js/jquery.datetimepicker.min.js' ), array( 'jquery' ), '1.0.0', true );
    wp_enqueue_script( 'flipster', get_theme_file_uri( '/assets/js/jquery.flipster.min.js' ), array( 'jquery' ), '1.0.0', true );
    wp_enqueue_script( 'magnific-popup', get_theme_file_uri( '/assets/js/jquery.magnific-popup.min.js' ), array('jquery'), '1.0.0', true );
    wp_enqueue_script( 'nice-select', get_theme_file_uri( '/assets/js/nice-select.min.js' ), array( 'jquery' ), '1.0.0', true );
    wp_enqueue_script( 'odometer', get_theme_file_uri( '/assets/js/odometer.js' ), array( 'jquery' ), '4.0.0', true );
    wp_enqueue_script( 'slick', get_theme_file_uri( '/assets/js/slick.min.js' ), array('jquery'), '1.0.0', true );
    wp_enqueue_script( 'tilt', get_theme_file_uri( '/assets/js/tilt.min.js' ), array('jquery'), '1.0.0', true );
    wp_enqueue_script( 'wow', get_theme_file_uri( '/assets/js/wow.min.js' ), array( 'jquery' ), '1.0.0', true );

    wp_enqueue_script( 'rasm-main-script', get_theme_file_uri( '/assets/js/main.js' ), array('jquery'), wp_get_theme()->get( 'Version' ), true );

    // comment reply
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }
}
add_action( 'wp_enqueue_scripts', 'rasm_essential_scripts',99 );


function rasm_block_editor_assets( ) {
    // Add custom fonts.
    wp_enqueue_style( 'rasm-editor-fonts', rasm_google_fonts(), array(), null );
}

add_action( 'enqueue_block_editor_assets', 'rasm_block_editor_assets' );

/*
Register Fonts
*/
function rasm_google_fonts() {
    $font_url = '';
    
    /*
    Translators: If there are characters in your language that are not supported
    by chosen font(s), translate this to 'off'. Do not translate into your own language.
     */
     
    if ( 'off' !== _x( 'on', 'Google font: on or off', 'rasm' ) ) {
        $font_url =  'https://fonts.googleapis.com/css2?family=Cormorant+Garamond:wght@400;500;600;700&family=DM+Sans:wght@400;500;700&display=swap';
    }
    return $font_url;
}