<?php
/**
 * @Packge     : Rasm
 * @Version    : 1.0
 * @Author     : Themeholy
 * @Author URI : https://themeforest.net/user/themeholy
 *
 */

    // Block direct access
    if( ! defined( 'ABSPATH' ) ){
        exit();
    }


    // preloader hook function
    if( ! function_exists( 'rasm_preloader_wrap_cb' ) ) {
        function rasm_preloader_wrap_cb() {
            $preloader_display              =  rasm_opt('rasm_display_preloader');
            ?>
            <div class="th-cursor"></div>
            <?php
            if( class_exists('ReduxFramework') ){
                if( $preloader_display ){?>
                    <div class="preloader ">
                        <button class="th-btn style3 preloaderCls"><?php echo esc_html__( 'Cancel Preloader', 'rasm' ) ?></button>
                        <div class="preloader-inner">
                            <?php

                            if( ! empty( rasm_opt( 'rasm_preloader_img','url' ) ) ){
                                echo rasm_img_tag( array(
                                    'url'   => esc_url( rasm_opt( 'rasm_preloader_img','url' ) ),
                                ) );  
                                echo '<span class="loader"></span>';
                            }

                            ?>
                        </div>
                    </div>
                <?php }
            }else{ ?>
                <div class="preloader ">
                    <button class="th-btn style3 preloaderCls"><?php echo esc_html__( 'Cancel Preloader', 'rasm' ) ?></button>
                    <div class="preloader-inner">
                        <span class="loader"></span>
                    </div>
                </div>
            <?php }
        }
    }

    // Header Hook function
    if( !function_exists('rasm_header_cb') ) { 
        function rasm_header_cb( ) {
            get_template_part('templates/header');
            get_template_part('templates/header-menu-bottom');
        }
    }

    // back top top hook function
    if( ! function_exists( 'rasm_back_to_top_cb' ) ) {
        function rasm_back_to_top_cb( ) {
            $backtotop_trigger = rasm_opt('rasm_display_bcktotop');
            if( class_exists( 'ReduxFramework' ) ) {
                if( $backtotop_trigger ) {
            	?>
                    <div class="scroll-top">
                        <svg class="progress-circle svg-content" width="100%" height="100%" viewBox="-1 -1 102 102">
                            <path d="M50,1 a49,49 0 0,1 0,98 a49,49 0 0,1 0,-98" style="transition: stroke-dashoffset 10ms linear 0s; stroke-dasharray: 307.919, 307.919; stroke-dashoffset: 307.919;">
                            </path>
                        </svg>
                    </div>
                <?php 
                }
            }

        }
    }

    // Blog Start Wrapper Function
    if( !function_exists('rasm_blog_start_wrap_cb') ) {
        function rasm_blog_start_wrap_cb() { ?>
            <section class="th-blog-wrapper space-top space-extra-bottom arrow-wrap">
                <div class="container">
                    <div class="row">
        <?php }
    }

    // Blog End Wrapper Function
    if( !function_exists('rasm_blog_end_wrap_cb') ) {
        function rasm_blog_end_wrap_cb() {?>
                    </div>
                </div>
            </section>
        <?php }
    }

    // Blog Column Start Wrapper Function
    if( !function_exists('rasm_blog_col_start_wrap_cb') ) {
        function rasm_blog_col_start_wrap_cb() {
            if( class_exists('ReduxFramework') ) {
                $rasm_blog_sidebar = rasm_opt('rasm_blog_sidebar');
                if( $rasm_blog_sidebar == '2' && is_active_sidebar('rasm-blog-sidebar') ) {
                    echo '<div class="col-lg-8 order-lg-last">';
                } elseif( $rasm_blog_sidebar == '3' && is_active_sidebar('rasm-blog-sidebar') ) {
                    echo '<div class="col-lg-8">';
                } else {
                    echo '<div class="col-lg-12">';
                }

            } else {
                if( is_active_sidebar('rasm-blog-sidebar') ) {
                    echo '<div class="col-lg-8">';
                } else {
                    echo '<div class="col-lg-12">';
                }
            }
        }
    }
    // Blog Column End Wrapper Function
    if( !function_exists('rasm_blog_col_end_wrap_cb') ) {
        function rasm_blog_col_end_wrap_cb() {
            echo '</div>';
        }
    }

    // Blog Sidebar
    if( !function_exists('rasm_blog_sidebar_cb') ) {
        function rasm_blog_sidebar_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $rasm_blog_sidebar = rasm_opt('rasm_blog_sidebar');
            } else {
                $rasm_blog_sidebar = 2;
                
            }
            if( $rasm_blog_sidebar != 1 && is_active_sidebar('rasm-blog-sidebar') ) {
                // Sidebar
                get_sidebar();
            }
        }
    }


    if( !function_exists('rasm_blog_details_sidebar_cb') ) {
        function rasm_blog_details_sidebar_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $rasm_blog_single_sidebar = rasm_opt('rasm_blog_single_sidebar');
            } else {
                $rasm_blog_single_sidebar = 4;
            }
            if( $rasm_blog_single_sidebar != 1 ) {
                // Sidebar
                get_sidebar();
            }

        }
    }

    // Blog Pagination Function
    if( !function_exists('rasm_blog_pagination_cb') ) {
        function rasm_blog_pagination_cb( ) {
            get_template_part('templates/pagination');
        }
    }

    // Blog Content Function
    if( !function_exists('rasm_blog_content_cb') ) {
        function rasm_blog_content_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $rasm_blog_grid = rasm_opt('rasm_blog_grid');
            } else {
                $rasm_blog_grid = '1';
            }

            if( $rasm_blog_grid == '1' ) {
                $rasm_blog_grid_class = 'col-lg-12';
            } elseif( $rasm_blog_grid == '2' ) {
                $rasm_blog_grid_class = 'col-sm-6';
            } else {
                $rasm_blog_grid_class = 'col-lg-4 col-sm-6';
            }

            echo '<div class="row">';
                if( have_posts() ) {
                    while( have_posts() ) {
                        the_post();
                        echo '<div class="'.esc_attr($rasm_blog_grid_class).'">';
                            get_template_part('templates/content',get_post_format());
                        echo '</div>';
                    }
                    wp_reset_postdata();
                } else{
                    get_template_part('templates/content','none');
                }
            echo '</div>';
        }
    }

    // footer content Function
    if( !function_exists('rasm_footer_content_cb') ) {
        function rasm_footer_content_cb( ) {

            if( class_exists('ReduxFramework') && did_action( 'elementor/loaded' )  ){
                if( is_page() || is_page_template('template-builder.php') ) {
                    $post_id = get_the_ID();

                    // Get the page settings manager
                    $page_settings_manager = \Elementor\Core\Settings\Manager::get_settings_managers( 'page' );

                    // Get the settings model for current post
                    $page_settings_model = $page_settings_manager->get_model( $post_id );

                    // Retrieve the Footer Style
                    $footer_settings = $page_settings_model->get_settings( 'rasm_footer_style' );

                    // Footer Local
                    $footer_local = $page_settings_model->get_settings( 'rasm_footer_builder_option' );

                    // Footer Enable Disable
                    $footer_enable_disable = $page_settings_model->get_settings( 'rasm_footer_choice' );

                    if( $footer_enable_disable == 'yes' ){
                        if( $footer_settings == 'footer_builder' ) {
                            // local options
                            $rasm_local_footer = get_post( $footer_local );
                            echo '<footer>';
                            echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $rasm_local_footer->ID );
                            echo '</footer>';
                        } else {
                            // global options
                            $rasm_footer_builder_trigger = rasm_opt('rasm_footer_builder_trigger');
                            if( $rasm_footer_builder_trigger == 'footer_builder' ) {
                                echo '<footer>';
                                $rasm_global_footer_select = get_post( rasm_opt( 'rasm_footer_builder_select' ) );
                                $footer_post = get_post( $rasm_global_footer_select );
                                echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $footer_post->ID );
                                echo '</footer>';
                            } else {
                                // wordpress widgets
                                rasm_footer_global_option();
                            }
                        }
                    }
                } else {
                    // global options
                    $rasm_footer_builder_trigger = rasm_opt('rasm_footer_builder_trigger');
                    if( $rasm_footer_builder_trigger == 'footer_builder' ) {
                        echo '<footer>';
                        $rasm_global_footer_select = get_post( rasm_opt( 'rasm_footer_builder_select' ) );
                        $footer_post = get_post( $rasm_global_footer_select );
                        echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $footer_post->ID );
                        echo '</footer>';
                    } else {
                        // wordpress widgets
                        rasm_footer_global_option();
                    }
                }
            } else { ?>
                <div class="footer-layout4">
                    <div class="copyright-wrap bg-black">
                        <div class="container">
                            <p class="copyright-text text-center"><?php echo sprintf( 'Copyright <i class="fal fa-copyright"></i> %s <a href="%s">%s</a> All Rights Reserved by <a href="%s">%s</a>',date('Y'),esc_url('#'),__( 'Rasm.','rasm' ),esc_url('#'),__( 'Themeholy', 'rasm' ) ) ?></p>
                        </div>
                    </div>
                </div>
            <?php }

        }
    }

    // blog details wrapper start hook function
    if( !function_exists('rasm_blog_details_wrapper_start_cb') ) {
        function rasm_blog_details_wrapper_start_cb( ) {
            echo '<section class="th-blog-wrapper blog-details space-top space-extra-bottom">';
                echo '<div class="container">';
                    if( is_active_sidebar( 'rasm-blog-sidebar' ) ){
                        $rasm_gutter_class = 'gx-60';
                    }else{
                        $rasm_gutter_class = '';
                    }
                    // echo '<div class="row './/esc_attr( $rasm_gutter_class ).'">';
                    echo '<div class="row">';
        }
    }

    // blog details column wrapper start hook function
    if( !function_exists('rasm_blog_details_col_start_cb') ) {
        function rasm_blog_details_col_start_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $rasm_blog_single_sidebar = rasm_opt('rasm_blog_single_sidebar');
                if( $rasm_blog_single_sidebar == '2' && is_active_sidebar('rasm-blog-sidebar') ) {
                    echo '<div class="col-lg-8 order-last">';
                } elseif( $rasm_blog_single_sidebar == '3' && is_active_sidebar('rasm-blog-sidebar') ) {
                    echo '<div class="col-lg-8">';
                } else {
                    echo '<div class="col-lg-12">';
                }

            } else {
                if( is_active_sidebar('rasm-blog-sidebar') ) {
                    echo '<div class="col-lg-8">';
                } else {
                    echo '<div class="col-lg-12">';
                }
            }
        }
    }

    // blog details post meta hook function
    if( !function_exists('rasm_blog_post_meta_cb') ) {
        function rasm_blog_post_meta_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $rasm_display_post_author      =  rasm_opt('rasm_display_post_author');
                $rasm_display_post_date      =  rasm_opt('rasm_display_post_date');
                $rasm_display_post_cate   =  rasm_opt('rasm_display_post_cate');
                $rasm_display_post_comments      =  rasm_opt('rasm_display_post_comments');
            } else {
                $rasm_display_post_author      = '1';
                $rasm_display_post_date      = '1';
                $rasm_display_post_cate   = '1';
                $rasm_display_post_comments      = '';
            }

                echo '<div class="blog-meta">';
                    if( $rasm_display_post_author ){
                        echo '<a href="'.esc_url( get_author_posts_url( get_the_author_meta('ID') ) ).'"><i class="fas fa-user"></i>'.esc_html__('By', 'rasm').esc_html( ucwords( get_the_author() ) ).'</a>';
                    }
                    if( $rasm_display_post_date ){
                        echo '<a href="'.esc_url( rasm_blog_date_permalink() ).'"><i class="fa-solid fa-calendar-days"></i>'.esc_html( get_the_date() ).'</a>';
                    }
                    if( $rasm_display_post_cate ){
                        $categories = get_the_category(); 
                        if(!empty($categories)){
                        echo '<a href="'.esc_url( get_category_link( $categories[0]->term_id ) ).'"><i class="fa-solid fa-tags"></i>'.esc_html( $categories[0]->name ).'</a>';
                        }
                    }
                    if( $rasm_display_post_comments ){
                        ?>
                        <a href="#"><i class="fas fa-comments"></i>
                            <?php 
                                if(get_comments_number() == 1){
                                    echo esc_html__('Comment (', 'rasm'); 
                                }else{
                                    echo esc_html__('Comments (', 'rasm'); 
                                }
                                echo get_comments_number(); ?>)</a>
                        <?php
                    }
                echo '</div>';
        }
    }

    // blog details share options hook function
    if( !function_exists('rasm_blog_details_share_options_cb') ) {
        function rasm_blog_details_share_options_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $rasm_post_details_share_options = rasm_opt('rasm_post_details_share_options');
            } else {
                $rasm_post_details_share_options = false;
            }
            if( function_exists( 'rasm_social_sharing_buttons' ) && $rasm_post_details_share_options ) { ?>
                <div class="col-md-auto text-xl-end">
                    <span class="share-links-title"><?php echo esc_html__('FOLLOW US:', 'rasm') ?></span>
                    <ul class="social-links">
                        <?php echo rasm_social_sharing_buttons(); ?>
                    </ul>
                </div>
            <?php }
        }
    }
    
    // blog details author bio hook function
    if( !function_exists('rasm_blog_details_author_bio_cb') ) {
        function rasm_blog_details_author_bio_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $postauthorbox =  rasm_opt( 'rasm_post_details_author_desc_trigger' );
            } else {
                $postauthorbox = '1';
            }
            if(  $postauthorbox == '1' ) {

                echo '<div class="blog-author">';
                        echo '<div class="auhtor-img">';
                            echo '<img src="'.esc_url( get_avatar_url( get_the_author_meta('ID') ) ).'" alt="img">';
                        echo '</div>';
                        echo '<div class="media-body">';
                            echo '<h3 class="author-name"><a href="#">'.esc_html( ucwords( get_the_author() )).'</a></h3>';
                            echo '<span class="author-desig">'.get_user_meta( get_the_author_meta('ID'), '_rasm_author_desig',true ).'</span>';
                            echo '<p class="author-text">'.get_the_author_meta( 'user_description', get_the_author_meta('ID') ).'</p>';
                            echo '<div class="th-social style2 align-items-center">';
                                    $rasm_social_icons = get_user_meta( get_the_author_meta('ID'), '_rasm_social_profile_group',true );
                                    if(!empty($rasm_social_icons)){
                                        foreach( $rasm_social_icons as $singleicon ) {
                                            if( ! empty( $singleicon['_rasm_social_profile_icon'] ) ) {
                                                echo '<a href="'.esc_url( $singleicon['_rasm_lawyer_social_profile_link'] ).'"><i class="'.esc_attr( $singleicon['_rasm_social_profile_icon'] ).'"></i></a>';
                                            }
                                        }
                                    }
                            echo '</div>';
                        echo '</div>';
             echo '</div>';

               
            }

        }
    }

     // Blog Details Post Navigation hook function
     if( !function_exists( 'rasm_blog_details_post_navigation_cb' ) ) {
        function rasm_blog_details_post_navigation_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $rasm_post_navigation = rasm_opt('rasm_post_details_post_navigation');
            } else {
                $rasm_post_navigation = false;
            }

            $prevpost = get_previous_post();
            $nextpost = get_next_post();

            $allowhtml = array(
                'p'         => array(
                    'class'     => array()
                ),
                'span'      => array(),
                'a'         => array(
                    'href'      => array(),
                    'title'     => array()
                ),
                'br'        => array(),
                'em'        => array(),
                'strong'    => array(),
                'b'         => array(),
            );

            if( ($rasm_post_navigation == '1') && (!empty($prevpost) || !empty($nextpost)) ) {
                echo '<div class="blog-navigation">';
                    if( ! empty( $prevpost ) ) {
                    echo '<div class="blog-prev">';
                        echo '<a href="'.esc_url( get_permalink( $prevpost->ID ) ).'" class="nav-btn prev">';
                                if (has_post_thumbnail( $prevpost->ID )) {
                                    echo '<div class="blog-image">';
                                        echo get_the_post_thumbnail( $prevpost->ID, 'rasm_80X80' );
                                        echo '<i class="fa-regular fa-arrow-left"></i>';
                                    echo '</div>';
                                };
                            echo ' <span class="nav-text">'.get_the_title($prevpost->ID).'</span>';
                        echo '</a>';
                    echo '</div>';
                    }

                    if( ! empty( $nextpost ) ) {
                    echo '<div class="blog-next">';
                            echo '<a href="'.esc_url( get_permalink( $nextpost->ID ) ).'" class="nav-btn prev">';
                                echo ' <span class="nav-text">'.get_the_title($nextpost->ID).'</span>';
                                    if (has_post_thumbnail( $nextpost->ID )) {
                                        echo '<div class="blog-image">';
                                            echo get_the_post_thumbnail( $nextpost->ID, 'rasm_80X80' );
                                            echo '<i class="fa-regular fa-arrow-right"></i>';
                                        echo '</div>';
                                    };
                            echo '</a>';
                    echo '</div>';
                    }
                echo '</div>';
            }
        }
    }

    // Blog Details Comments hook function
    if( !function_exists('rasm_blog_details_comments_cb') ) {
        function rasm_blog_details_comments_cb( ) {
            if ( ! comments_open() ) {
                echo '<div class="blog-comment-area">';
                    echo rasm_heading_tag( array(
                        "tag"   => "h3",
                        "text"  => esc_html__( 'Comments are closed', 'rasm' ),
                        "class" => "inner-title"
                    ) );
                echo '</div>';
            }

            // comment template.
            if ( comments_open() || get_comments_number() ) {
                comments_template();
            }
        }
    }

    // Blog Details Column end hook function
    if( !function_exists('rasm_blog_details_col_end_cb') ) {
        function rasm_blog_details_col_end_cb( ) {
            echo '</div>';
        }
    }

    // Blog Details Wrapper end hook function
    if( !function_exists('rasm_blog_details_wrapper_end_cb') ) {
        function rasm_blog_details_wrapper_end_cb( ) {
                    echo '</div>';
                echo '</div>';
            echo '</section>';
        }
    }

    // page start wrapper hook function
    if( !function_exists('rasm_page_start_wrap_cb') ) {
        function rasm_page_start_wrap_cb( ) {
            
            if( is_page( 'cart' ) ){
                $section_class = "th-cart-wrapper space-top space-extra-bottom";
            }elseif( is_page( 'checkout' ) ){
                $section_class = "th-checkout-wrapper space-top space-extra-bottom";
            }elseif( is_page('wishlist') ){
                $section_class = "wishlist-area space-top space-extra-bottom";
            }else{
                $section_class = "space-top space-extra-bottom";  
            }
            echo '<section class="'.esc_attr( $section_class ).'">';
                echo '<div class="container">';
                    echo '<div class="row">';
        }
    }

    // page wrapper end hook function
    if( !function_exists('rasm_page_end_wrap_cb') ) {
        function rasm_page_end_wrap_cb( ) {
                    echo '</div>';
                echo '</div>';
            echo '</section>';
        }
    }

    // page column wrapper start hook function
    if( !function_exists('rasm_page_col_start_wrap_cb') ) {
        function rasm_page_col_start_wrap_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $rasm_page_sidebar = rasm_opt('rasm_page_sidebar');
            }else {
                $rasm_page_sidebar = '1';
            }
            
            if( $rasm_page_sidebar == '2' && is_active_sidebar('rasm-page-sidebar') ) {
                echo '<div class="col-lg-8 order-last">';
            } elseif( $rasm_page_sidebar == '3' && is_active_sidebar('rasm-page-sidebar') ) {
                echo '<div class="col-lg-8">';
            } else {
                echo '<div class="col-lg-12">';
            }

        }
    }

    // page column wrapper end hook function
    if( !function_exists('rasm_page_col_end_wrap_cb') ) {
        function rasm_page_col_end_wrap_cb( ) {
            echo '</div>';
        }
    }

    // page sidebar hook function
    if( !function_exists('rasm_page_sidebar_cb') ) {
        function rasm_page_sidebar_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $rasm_page_sidebar = rasm_opt('rasm_page_sidebar');
            }else {
                $rasm_page_sidebar = '1';
            }

            if( class_exists('ReduxFramework') ) {
                $rasm_page_layoutopt = rasm_opt('rasm_page_layoutopt');
            }else {
                $rasm_page_layoutopt = '3';
            }

            if( $rasm_page_layoutopt == '1' && $rasm_page_sidebar != 1 ) {
                get_sidebar('page');
            } elseif( $rasm_page_layoutopt == '2' && $rasm_page_sidebar != 1 ) {
                get_sidebar();
            }
        }
    }

    // page content hook function
    if( !function_exists('rasm_page_content_cb') ) {
        function rasm_page_content_cb( ) {
            if(  class_exists('woocommerce') && ( is_woocommerce() || is_cart() || is_checkout() || is_page('wishlist') || is_account_page() )  ) {
                echo '<div class="woocommerce--content">';
            } else {
                echo '<div class="page--content clearfix">';
            }

                the_content();

                // Link Pages
                rasm_link_pages();

            echo '</div>';
            // comment template.
            if ( comments_open() || get_comments_number() ) {
                comments_template();
            }

        }
    }

    if( !function_exists('rasm_blog_post_thumb_cb') ) {
        function rasm_blog_post_thumb_cb( ) {
            if( get_post_format() ) {
                $format = get_post_format();
            }else{
                $format = 'standard';
            }

       

            $rasm_post_slider_thumbnail = rasm_meta( 'post_format_slider' );

            if( !empty( $rasm_post_slider_thumbnail ) ){
                echo '<div class="blog-img">';
                    echo '<div class="th-blog-carousel arrow-wrap">';
                        foreach( $rasm_post_slider_thumbnail as $single_image ){
                            echo rasm_img_tag( array(
                                'url'   => esc_url( $single_image )
                            ) );
                        }
                    echo '</div>';
                echo '</div>';
            }elseif( has_post_thumbnail() && $format == 'standard' ) {
                echo '<!-- Post Thumbnail -->';
                echo '<div class="blog-img">';
                    if( ! is_single() ){
                        echo '<a href="'.esc_url( get_permalink() ).'" class="post-thumbnail">';
                    }

                    the_post_thumbnail();

                    if( ! is_single() ){
                        echo '</a>';
                    }
                echo '</div>';
                echo '<!-- End Post Thumbnail -->';
            }elseif( $format == 'video' ){
                if( has_post_thumbnail() && ! empty ( rasm_meta( 'post_format_video' ) ) ){
                    echo '<div class="blog-img blog-video">';
                        if( ! is_single() ){
                            echo '<a href="'.esc_url( get_permalink() ).'" class="post-thumbnail">';
                        }
                            the_post_thumbnail();

                        if( ! is_single() ){
                            echo '</a>';
                        }
                        echo '<a href="'.esc_url( rasm_meta( 'post_format_video' ) ).'" class="play-btn popup-video style6">';
                            echo '<i class="fas fa-play"></i>';
                        echo '</a>';
                    echo '</div>';
                }elseif( ! has_post_thumbnail() && ! is_single() ){
                    echo '<div class="blog-video">';
                        if( ! is_single() ){
                            echo '<a href="'.esc_url( get_permalink() ).'" class="post-thumbnail">';
                        }
                            echo rasm_embedded_media( array( 'video', 'iframe' ) );
                        if( ! is_single() ){
                            echo '</a>';
                        }
                    echo '</div>';
                }
            }elseif( $format == 'audio' ){
                $rasm_audio = rasm_meta( 'post_format_audio' );
                if( ! empty( $rasm_audio ) ){
                    echo '<div class="blog-audio">';
                        echo wp_oembed_get( $rasm_audio );
                    echo '</div>';
                }elseif( ! is_single() ){
                    echo '<div class="blog-audio">';
                        echo wp_oembed_get( $rasm_audio );
                    echo '</div>';
                }
            }

        }
    }

    if( !function_exists('rasm_blog_post_content_cb') ) {
        function rasm_blog_post_content_cb( ) {
            $allowhtml = array(
                'p'         => array(
                    'class'     => array()
                ),
                'span'      => array(),
                'a'         => array(
                    'href'      => array(),
                    'title'     => array()
                ),
                'br'        => array(),
                'em'        => array(),
                'strong'    => array(),
                'b'         => array(),
            );
            if( class_exists( 'ReduxFramework' ) ) {
                $rasm_excerpt_length          = rasm_opt( 'rasm_blog_postExcerpt' );
                $rasm_display_post_category   = rasm_opt( 'rasm_display_post_category' );
            } else {
                $rasm_excerpt_length          = '48';
                $rasm_display_post_category   = '1';
            }

            if( class_exists( 'ReduxFramework' ) ) {
                $rasm_blog_admin = rasm_opt( 'rasm_blog_post_author' );
                $rasm_blog_readmore_setting_val = rasm_opt('rasm_blog_readmore_setting');
                if( $rasm_blog_readmore_setting_val == 'custom' ) {
                    $rasm_blog_readmore_setting = rasm_opt('rasm_blog_custom_readmore');
                } else {
                    $rasm_blog_readmore_setting = __( 'Read More', 'rasm' );
                }
            } else {
                $rasm_blog_readmore_setting = __( 'Read More', 'rasm' );
                $rasm_blog_admin = true;
            }
            echo '<!-- blog-content -->';
                do_action( 'rasm_blog_post_thumb' );
                
                echo '<div class="blog-content">';

                    // Blog Post Meta
                    do_action( 'rasm_blog_post_meta' );

                    echo '<h2 class="blog-title"><a href="'.esc_url( get_permalink() ).'">'.wp_kses( get_the_title( ), $allowhtml ).'</a></h2>';

                    echo rasm_paragraph_tag( array(
                        "text"  => wp_kses( wp_trim_words( get_the_excerpt(), $rasm_excerpt_length, '' ), $allowhtml ),
                        "class" => 'blog-text',
                    ) );
  
                    if( !empty( $rasm_blog_readmore_setting ) ){
                        echo '<a href="'.esc_url( get_permalink() ).'" class="th-btn">'.esc_html( $rasm_blog_readmore_setting ).'<i class="fa-solid fa-right-long ms-2"></i></a>';
                    }

                echo '</div>';
            echo '<!-- End Post Content -->';
        }
    }
