<?php
// Block direct access
if( !defined( 'ABSPATH' ) ){
    exit();
}
/**
 * @Packge     : Rasm
 * @Version    : 1.0
 * @Author     : Themeholy
 * @Author URI : https://themeforest.net/user/themeholy
 *
 */

// enqueue css
function rasm_common_custom_css(){
	wp_enqueue_style( 'rasm-color-schemes', get_template_directory_uri().'/assets/css/color.schemes.css' );

    $CustomCssOpt  = rasm_opt( 'rasm_css_editor' );
	if( $CustomCssOpt ){
		$CustomCssOpt = $CustomCssOpt;
	}else{
		$CustomCssOpt = '';
	}

    $customcss = "";
    
    if( get_header_image() ){
        $rasm_header_bg =  get_header_image();
    }else{
        if( rasm_meta( 'page_breadcrumb_settings' ) == 'page' ){
            if( ! empty( rasm_meta( 'breadcumb_image' ) ) ){
                $rasm_header_bg = rasm_meta( 'breadcumb_image' );
            }
        }
    }
    
    if( !empty( $rasm_header_bg ) ){
        $customcss .= ".breadcumb-wrapper{
            background-image:url('{$rasm_header_bg}')!important;
        }";
    }
    
	// theme color
	$rasmthemecolor = rasm_opt('rasm_theme_color');

    if( !empty( $rasmthemecolor ) ){

        list($r, $g, $b) = sscanf( $rasmthemecolor, "#%02x%02x%02x");

        $rasm_real_color = $r.','.$g.','.$b;
    	if( !empty( $rasmthemecolor ) ) {
    		$customcss .= ":root {
    		  --theme-color: rgb({$rasm_real_color});
    		}";
    	}
    }

	if( !empty( $CustomCssOpt ) ){
		$customcss .= $CustomCssOpt;
	}

    wp_add_inline_style( 'rasm-color-schemes', $customcss );
}
add_action( 'wp_enqueue_scripts', 'rasm_common_custom_css', 100 );