<?php
/**
 * Related Products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/related.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce/Templates
 * @version     3.9.0
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

if( class_exists('ReduxFramework') ) {
    $rasm_woo_relproduct_display = rasm_opt('rasm_woo_relproduct_display');
    $rasm_woo_relproduct_num = rasm_opt('rasm_woo_relproduct_num');
    $rasm_woo_relproduct_slider = rasm_opt('rasm_woo_relproduct_slider');

    $subtitle = rasm_opt('rasm_woo_relproduct_subtitle');
    $title = rasm_opt('rasm_woo_relproduct_title');
}else{
    $rasm_woo_relproduct_display ='';
    $rasm_woo_relproduct_num = '';
    $rasm_woo_relproduct_slider = '';

    $subtitle = esc_html__('','rasm');
    $title = esc_html__('Related Shop','rasm');
}
$slider_active = $rasm_woo_relproduct_slider ? 'related-products-carousel' : '';

if ( $related_products && $rasm_woo_relproduct_display) : ?>

    <div class="space-extra-top">
        
        <div class="related-title-area row justify-content-center">
            <div class="col-auto text-center">
                
                <h2 class="sec-title"><?php echo esc_html($title) ?></h2>
            </div>
        </div>

        <div class="row <?php echo esc_attr($slider_active); ?>" id="productCarousel">

        <?php
            if( class_exists('ReduxFramework') ) {
                $rasm_woo_related_product_col = rasm_opt('rasm_woo_related_product_col');
                if( $rasm_woo_related_product_col == '2' ) {
                    $rasm_woo_product_col_val = 'col-xl-2 col-lg-4 col-sm-6 mb-30';
                } elseif( $rasm_woo_related_product_col == '3' ) {
                    $rasm_woo_product_col_val = 'col-xl-3 col-lg-4 col-sm-6 mb-30';
                } elseif( $rasm_woo_related_product_col == '4' ) {
                    $rasm_woo_product_col_val = 'col-xl-4 col-lg-4 col-sm-6 mb-30';
                } elseif( $rasm_woo_related_product_col == '6' ) {
                    $rasm_woo_product_col_val = 'col-lg-6 col-sm-6 mb-30';
                }
            } else {
                $rasm_woo_product_col_val = 'col-xl-3 col-lg-4 col-sm-6 mb-30';
            }
        ?>

            <?php foreach ( $related_products as $related_product ) : ?>
                <div class="<?php echo esc_attr($rasm_woo_product_col_val) ?>">
                    <?php
                        $post_object = get_post( $related_product->get_id() );

                        setup_postdata( $GLOBALS['post'] =& $post_object );

                        wc_get_template_part( 'content', 'product' );
                    ?>
                </div>

            <?php endforeach; ?>

        </div>

    </div>

<?php endif;

wp_reset_postdata();